Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class TypeCheckError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xalan.xsltc.compiler.util.TypeCheckError

All Implemented Interfaces:
  java.io.Serializable

public class TypeCheckError
extends java.lang.Exception

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen
See Also:
  Serialized Form

Constructor Summary
`TypeCheckError(ErrorMsg error)`
`TypeCheckError(java.lang.String code, java.lang.Object param)`
`TypeCheckError(java.lang.String code, java.lang.Object param1, java.lang.Object param2)`
`TypeCheckError(SyntaxTreeNode node)`

Method Summary
`ErrorMsg` | `getErrorMsg()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeCheckError

    public TypeCheckError(SyntaxTreeNode node)

### TypeCheckError

    public TypeCheckError(ErrorMsg error)

### TypeCheckError

    public TypeCheckError(java.lang.String code,
                          java.lang.Object param)

### TypeCheckError

    public TypeCheckError(java.lang.String code,
                          java.lang.Object param1,
                          java.lang.Object param2)

Method Detail

### getErrorMsg

    public ErrorMsg getErrorMsg()

### getMessage

    public java.lang.String getMessage()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.